function models = gmm_explode(model)
% models = gmm_explode(model)
%    Convert a single multi-component GMM into a vector of
%    single-component GMMs.
% 2012-05-17 Dan Ellis dpwe@ee.columbia.edu

ncomp = size(model.mean,2);

for i = 1:ncomp
  models(i).mean = model.mean(:,i);
  models(i).cov  = model.cov(:,:,i);
  models(i).weight = model.weight(i);
  models(i).diag = model.diag;
end
