function [Y,XO] = merge_labels(A,B,XIA,XIB);
% [Y,XO] = merge_labels(A,B,XIA,XIB)
%    Take label streams A and B, and merge their contents
%    B segments take precedence over A.
%    Labels are assumed 3 column.
%    XIA, XIB are xtra information for each row of A, B; XO is
%    their merger.
% 2012-03-11 Dan Ellis dpwe@ee.columbia.edu

if nargin < 3; XIA = []; end
if nargin < 4; XIB = []; end

% Empty Xtra fields are made long enough; singleton Xtra fields are
% replicated 
if length(XIA) == 0; XIA = cell(size(A,1),1); end
if length(XIA) == 1; XIA = repmat(XIA,size(A,1),1); end
if length(XIB) == 0; XIB = cell(size(B,1),1); end
if length(XIB) == 1; XIB = repmat(XIB,size(B,1),1); end

% Merging the labels is simple
%Y = lab2col_to_lab3col(lab3col_to_lab2col([A;B]));
[Y2,X2] = lab3col_to_lab2col([A;B],[XIA;XIB]);
[Y,XO] = lab2col_to_lab3col(Y2,X2);



